
Redmine - Feature #20985

Include private_notes property in xml/json Journals output

2015-10-14 00:49 - Tiago Cândido

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

When getting issues with the REST api, the journal flag private_notes isn't included.

I've solved the problem on my local copy by modifying one files:

views/issues/show.api.rsb

add

 
api.private_notes journal.private_notes

Associated revisions

Revision 15414 - 2016-05-16 08:25 - Jean-Philippe Lang

Include private_notes property in xml/json Journals output (#20985).

Patch by Takenori TAKAKI.

History

#1 - 2015-12-09 09:44 - eric c

When is this fix available in a Redmine release?

#2 - 2016-03-28 08:08 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2016-04-12 05:01 - Takenori TAKAKI

- File adds_issue_journal_private_notes_to_api_trunk_r15327.patch added

I have added the test-code on Tiago Cândido 's patch: adds_issue_journal_private_notes_to_api.diff

and I made sure that all tests passed on latest trunk (r15327).

I would be very happy if I could see the feature in Redmine 3.3.0.

#4 - 2016-05-11 17:32 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.3.0

#5 - 2016-05-16 08:25 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.

Files

adds_issue_journal_private_notes_to_api.diff 795 Bytes 2015-10-13 Tiago Cândido

adds_issue_journal_private_notes_to_api_trunk_r15327.patch 1.67 KB 2016-04-12 Takenori TAKAKI
